import { Plugin } from "@webiny/plugins";
import { ElasticsearchBoolQueryConfig } from "../../types";
export interface ModifyQueryParams {
    query: ElasticsearchBoolQueryConfig;
    where: Record<string, any>;
}
export interface ModifyQueryCallable<T extends ModifyQueryParams> {
    (params: T): void;
}
export declare abstract class ElasticsearchQueryModifierPlugin<T extends ModifyQueryParams = ModifyQueryParams> extends Plugin {
    private readonly callable?;
    constructor(callable?: ModifyQueryCallable<T>);
    modifyQuery(params: T): void;
}
