"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnhealthyClusterError = void 0;
var _error = require("@webiny/error");
class UnhealthyClusterError extends _error.WebinyError {
  constructor(maxWaitingTime) {
    super({
      message: `Cluster did not become healthy in ${maxWaitingTime} seconds.`,
      code: "UNHEALTHY_CLUSTER"
    });
  }
}
exports.UnhealthyClusterError = UnhealthyClusterError;

//# sourceMappingURL=UnhealthyClusterError.js.map